Index: RoadMerger.java
===================================================================
--- RoadMerger.java	(revision 2940)
+++ RoadMerger.java	(working copy)
@@ -546,13 +546,14 @@
 			oneRoadMerged = false;
 			
 			// first get the potential merge points
-			Set<Coord> mergePoints = Collections.newSetFromMap(new IdentityHashMap<Coord, Boolean>());
-			mergePoints.addAll(endPoints.keySet());
+			Set<Coord> mergePointsSet = Collections.newSetFromMap(new IdentityHashMap<Coord, Boolean>());
+			mergePointsSet.addAll(endPoints.keySet());
 			// remove all coords that have been completely processed and that have no more merge candidates
-			mergePoints.removeAll(mergeCompletedPoints);
+			mergePointsSet.removeAll(mergeCompletedPoints);
 			// only keep the points where there is a way with a start point identical to the end point of another way
-			mergePoints.retainAll(startPoints.keySet());
-			
+			mergePointsSet.retainAll(startPoints.keySet());
+			List<Coord> mergePoints = new ArrayList<Coord>(mergePointsSet);
+			Collections.sort(mergePoints);
 			// check all potential merge points for merges
 			for (Coord mergePoint : mergePoints) {
 				// get all road that start with the merge point
